package com.mosty.hczx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.hczx.TbHcBpcry;
import com.mosty.base.model.query.hczx.HcTjQuery;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface TbHcBpcryMapper extends BaseMapper<TbHcBpcry> {

    @ApiOperation("查询今日盘查数量")
    Integer selectCrewCount(@Param("ssbmdm") String ssbmdm);

    @ApiOperation("查询今日盘查人员列表")
    List<TbHcBpcry> getList(Map<String, Object> map);

    @ApiOperation("查询今日盘查数量")
    int getCount(Map<String, Object> map);

    @ApiOperation("查询今日盘查人员列表")
    List<TbHcBpcry> getListRy(Map<String, Object> map);

    @ApiOperation("查询今日盘查数量")
    int getCountRy(Map<String, Object> map);

    @ApiOperation("添加人员信息")
    void insertEntity(TbHcBpcry ry);

    @ApiOperation("修改被盘查人员信息")
    void updateEntity(TbHcBpcry ry);

    @ApiOperation("查询两个小时内没有被车辆绑定的人员")
    List<TbHcBpcry> getRyOf2h(String sfzh, String time);

    @ApiOperation("统计被盘查人员")
    List<Map<String, Object>> selectPcryTj(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("查询重点人员")
    List<Map<String, Object>> selectZdryTj(@Param("kssj") String kssj, @Param("jssj") String jssj);

    IPage<String> getSsbm(@Param("page") IPage<HcTjQuery> page, @Param("query") HcTjQuery query);

    @ApiOperation("人员标签统计")
    List<Map<String, Object>> getRyBqtj(HcTjQuery query);

    @ApiOperation("车辆标签统计")
    List<Map<String, Object>> getClBqtj(HcTjQuery query);

}
